local function onlyDisposeEnemies(unit)
    if CorpseDisposalMod.OnlyEnemies and not unit:base().enemy then
        return false
    end

    return true
end

Hooks:PostHook(GroupAIStateBase, "on_police_called", "func_dispose_all_corpses", function(self)
	if CorpseDisposalMod.KeepCorpses then return end
    if not Network:is_server() then return end
    DelayedCalls:Add("alarmed_corpse_disposal", CorpseDisposalMod.DespawnTime or 3, function()
        for key, corpse_data in pairs(managers.enemy._enemy_data.corpses) do
            if alive(corpse_data.unit) and not IgnoreList[corpse_data.unit:name():key()] and onlyDisposeEnemies(corpse_data.unit) then
                corpse_data.unit:set_slot(0)
				if managers.network:session() then
					managers.network:session():send_to_peers_synched("remove_corpse_by_id", corpse_data.unit:id(), true, managers.network:session():local_peer():id())
				end
                Network:detach_unit(corpse_data.unit)
                managers.enemy._enemy_data.corpses[key] = nil
            end
        end
    end)
end)