-- Idstring()'s inside this list will be ignored by the mod
-- If you put a Idstring() with unit's name, game will ignore any corpses from that unit
-- So if you add
-- [Idstring("units/pd2_mcmansion/characters/ene_male_hector_2/ene_male_hector_2"):key()] = true
-- then any unit's key matching that will be ignored. Useful for Custom Maps or you want specific NPC corpses to stay on the map forever
_G.IgnoreList = IgnoreList or {}

-- Mod Configuration
_G.CorpseDisposalMod = CorpseDisposalMod or {
	DespawnTime = 8, -- amount of time to wait before disposing the corpse
	KeepCorpses = false, -- whether to keep all corpses instead of ones in IgnoreList
	UseSlowDispose = false, -- whether dispose system should slowly dispose of corpses using TimerManager:game():time() instead of after set time
	OnlyEnemies = false -- If true, mod will only dispose of enemy corpses and leave civilians behind so you can feel guilty about the people you killed you monster.
}